igeo.io

## Class IRhino3dm.TextEntity2

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Annotation2
      - - igeo.io.IRhino3dm.TextEntity2

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.TextEntity2
      extends IRhino3dm.Annotation2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.Annotation2

      `index, justification, plane, points, textDisplayMode, textHeight, type, userPositionedText, userText`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextEntity2()`
    `TextEntity2(IText text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IObject` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.Annotation2

      `getType`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextEntity2

          public TextEntity2(IText text)

    - #### TextEntity2

          public TextEntity2()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.Annotation2`

    - #### createIObject

          public IObject createIObject(IRhino3dm.Rhino3dmFile context,
                                       IServerI s)

      Overrides:
        `createIObject` in class `IRhino3dm.RhinoObject`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.Annotation2`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.Annotation2`
      Throws:
        `java.io.IOException`